Bug 1690013 - [abrt] xorg-x11-server-Xwayland: OsLookupColor(): Display server crashed
Summary: [abrt] xorg-x11-server-Xwayland: OsLookupColor(): Display server crashed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:08b421a734fbd601b9be03d71b0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-18 15:16 UTC by Stephen Gallagher
Modified: 2019-03-29 19:20 UTC (History)
10 users (show)

Fixed In Version: xorg-x11-server-1.20.4-2.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-29 19:20:44 UTC


Attachments (Terms of Use)
File: Xorg.0.log (57.76 KB, text/plain)
2019-03-18 15:16 UTC, Stephen Gallagher
no flags Details
File: backtrace (471 bytes, text/plain)
2019-03-18 15:16 UTC, Stephen Gallagher
no flags Details
File: cpuinfo (1.47 KB, text/plain)
2019-03-18 15:16 UTC, Stephen Gallagher
no flags Details
File: dmesg (82.76 KB, text/plain)
2019-03-18 15:16 UTC, Stephen Gallagher
no flags Details
File: dso_list (339 bytes, text/plain)
2019-03-18 15:16 UTC, Stephen Gallagher
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (333 bytes, application/octet-stream)
2019-03-18 15:16 UTC, Stephen Gallagher
no flags Details
File: usr_share_xorg_conf_d.tar.gz (2.12 KB, application/octet-stream)
2019-03-18 15:16 UTC, Stephen Gallagher
no flags Details

Description Stephen Gallagher 2019-03-18 15:16:19 UTC
Description of problem:
I closed a Google Chrome window with multiple tabs.

Version-Release number of selected component:
xorg-x11-server-Xwayland-1.20.4-1.fc30

Additional info:
reporter:       libreport-2.10.0
crash_function: OsLookupColor
executable:     /usr/bin/Xwayland
kernel:         5.0.0-300.fc30.x86_64
runlevel:       N 5
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/bin/Xwayland (OsLookupColor+0x13c) [0x562d9c769b0c]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7f022d5d8ebf]
2: /lib64/libwayland-client.so.0 (wl_proxy_destroy+0x15) [0x7f022daee045]
3: /usr/bin/Xwayland (glamor_egl_fd_from_pixmap+0x47a) [0x562d9c612d0a]
4: /lib64/libffi.so.6 (ffi_call_unix64+0x4c) [0x7f022d33fb28]
5: /lib64/libffi.so.6 (ffi_call+0x1c9) [0x7f022d33f339]
6: /lib64/libwayland-client.so.0 (wl_log_set_handler_client+0x1cd7) [0x7f022daf3137]

Potential duplicate: bug 1684872

Comment 1 Stephen Gallagher 2019-03-18 15:16:20 UTC
Created attachment 1545345 [details]
File: Xorg.0.log

Comment 2 Stephen Gallagher 2019-03-18 15:16:21 UTC
Created attachment 1545346 [details]
File: backtrace

Comment 3 Stephen Gallagher 2019-03-18 15:16:22 UTC
Created attachment 1545347 [details]
File: cpuinfo

Comment 4 Stephen Gallagher 2019-03-18 15:16:24 UTC
Created attachment 1545348 [details]
File: dmesg

Comment 5 Stephen Gallagher 2019-03-18 15:16:24 UTC
Created attachment 1545349 [details]
File: dso_list

Comment 6 Stephen Gallagher 2019-03-18 15:16:25 UTC
Created attachment 1545350 [details]
File: etc_X11_xorg_conf_d.tar.gz

Comment 7 Stephen Gallagher 2019-03-18 15:16:26 UTC
Created attachment 1545351 [details]
File: usr_share_xorg_conf_d.tar.gz

Comment 8 Stephen Gallagher 2019-03-21 14:26:55 UTC
This appears to happen *every* time I close a Google Chrom window with multiple tabs and *sometimes* if I close a window with only a single tab. This is getting extremely painful.

Comment 9 Fedora Update System 2019-03-26 16:45:20 UTC
xorg-x11-server-1.20.4-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d18fd3f08b

Comment 10 Fedora Update System 2019-03-27 00:45:29 UTC
xorg-x11-server-1.20.4-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d18fd3f08b

Comment 11 Fedora Update System 2019-03-29 19:20:44 UTC
xorg-x11-server-1.20.4-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.